# Project details
## Address Space
|Name|From|To|r/w|
|---|---:|---:|:---:|
|ZEROPAGE   |$00    |$ff    |`rw`|
|STACK      |$100   |$1ff   |`rw`|
|RAM        |$200   |$4fff  |`rw`|
|SPI        |$5000  |$5fff  |`rw`|
|VIA1       |$6000  |$600f  |`rw`|
|VIA2       |$7000  |$700f  |`rw`|
|ROM        |$8000  |$ffff  |`r `|

## Naming conventions
leading underscors `_` indicate a "private" label/variable, that is meant for internal use within the module only.
### Labels
- **scopes**: snake case 
- **subroutines** and **variables**: snake case (`scope::(_)fname_snake_case` or `scope::(_)varname_2`)
- **macros**: camel case (`(_)GoodMacroname` or `scope_GoodMacroname`)
- **constants** (eg. in ROM): upper case (`scope::(_)NICE_SYMBOLNAME`)
